#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup, find_packages

VERSION = open('src/vlba_grabber/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='NRAO Archive VLBA Grabber',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['requests', 'pymygdala', 'pycapo', 'beautifulsoup4'],
    keywords=[],
    packages=['vlba_grabber'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['aocRetriever = vlba_grabber.ngas_retriever:ngas_retriever']
    },
)
