import os
from .. import build_pkgs

class TestBuildPkgs:
    def test_get_names(self):
        """
        Test that build_pkgs correctly gets the package name from
        :return:
        """
        d = 'apps/cli/executables/null'
        assert build_pkgs.get_names([d]) == ['null']

    def test_get_dirs(self):
        """
        Test that build_pkgs correctly finds and stores directory paths
        of directories containing setup.py files.
        """
        assert './apps/cli/executables/null' in build_pkgs.get_dirs()

    def test_output(self, recipe):
        """
        Test that the package specified in the recipe has been built correctly.
        """
        created = recipe.install()

        for path in created:
            print(path)
            if len(path) > 0:
                assert path is not None, "conda build failed to build package"
                assert os.path.exists(path)
