import pytest
import zc.buildout.testing

@pytest.fixture(scope='module')
def recipe():
    """
    pytest fixture that initializes zc.buildout objects for use in testing.
    Initializes Buildout, Options, and Recipe objects.

    :return: Initialized recipe object for setup_to_meta
    """
    from .. import setup_to_meta
    buildout = zc.buildout.testing.Buildout()
    options = buildout.Options(buildout, 'gen_metadata', {'recipe': 'setup_to_meta'})
    recipe = setup_to_meta.Recipe(buildout=buildout, name=None, options=options)
    return recipe